
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JavaScript权威设计--JavaScript函数(简要学习笔记十一) / iVAN</title>

    <meta name="description" content="JavaScript权威设计--JavaScript函数(简要学习笔记十一) 1.函数调用的四种方式 第三种:构造函数调用 如果构造函数调用在圆括号内包含一组实参列表,先计算这些实参表达式,然后传入函数内.这和函数调用和方法调用是一致的.但如果构造函数没有形参,JavaScript构造函数调用的语法是允许省略实参列表和圆括号的. 如: var o=new Object(); //-&gt;等价于 var o=new Object;   第四种:使用call()与apply()间接调用(放在后面详细说明)   2.函数的实参与形参--可选形参 先看一个例子: functio ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">JavaScript权威设计--JavaScript函数(简要学习笔记十一)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>1.函数调用的四种方式</strong></p>
<p><strong>第三种：构造函数调用</strong></p>
<p>如果构造函数调用在圆括号内包含一组实参列表，先计算这些实参表达式，然后传入函数内。这和函数调用和方法调用是一致的。但如果构造函数没有形参，JavaScript构造函数调用的语法是允许省略实参列表和圆括号的。</p>
<p>如：</p>
<pre>var o=new Object();
//-&gt;等价于
var o=new Object;</pre>
<p> </p>
<p><strong>第四种：使用call()与apply()间接调用(放在后面详细说明)</strong></p>
<p> </p>
<p><strong>2.函数的实参与形参——可选形参</strong></p>
<p>先看一个例子：</p>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<pre>function getA(o,/*optional*/ a){
    if(a===undefined){
        a=[];
    }
    for(var pro in o){
        a.push(pro);
    }
}</pre>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<p>上面这个函数调用可以传入一个参数，或者两个参数。</p>
<p><strong>a:</strong>一般会在可选形参的前面加上/*optional*，来强调形参是可选的。</p>
<p><strong>b:</strong>还有一般将可选参数放在参数列表的最后。</p>
<p><strong>c:</strong>如果可选形参不传入实参的话，该参数就会被默认为undefined。</p>
<p><strong>d:</strong>当然了，你也可以参入null或undefined作为占位符。</p>
<p> </p>
<p><strong>3.可变长的实参列表：实参对象（arguments,在全局环境中并不存在的对象）</strong></p>
<p>有时候我们调用函数时，传递的参数超过函数定义的个数时，没有办法直接获得未命名值得引用。</p>
<p>虽然JavaScript的默认行为会把多出的参数自动省略。</p>
<p>但是我们有时候就是需要获得这些个多出的参数，那咋办？（是不是有点贱？- -）</p>
<p>这时钢铁侠就来了！额！不！是实参对象就来解决这个问题了。</p>
<p>在函数体内，arguments就是指向实参对象的引用。</p>
<p><strong>只有函数被调用时，arguments对象才会创建，未调用时其值为null。</strong></p>
<p><strong>arguments.length是实参长度，arguments.callee.length是形参长度。</strong></p>
<p> </p>
<p>实参对象是一个类数组对象。这样就可以通过下标来访问了，而不需要通过名字来访问。</p>
<p>duang~</p>
<p>来个例子：</p>
<pre>function a(x,y){
    return x*y;
}
//调用
a('10','10','11');</pre>
<p> </p>
<p>11默认省略，如果我们想获得它，可以把上面的例子改下：</p>
<p> </p>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<pre>function a(x,y){
    if(arguments.length!=2){
        return x*y;
    }else if(arguments.length&gt;2){
        return arguments[2];    //这里的arguments[2]就是11了
    }
}</pre>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<p> </p>
<p>实参对象有一个重要的用处，就是让函数可以操作任务数量的实参。</p>
<p>例如：</p>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<pre>function max(/*...*/){
    var max=Number.NEGATIVE_INFINITY;
    for(var i=0;i&lt;arguments.length;i++){

        if(arguments[i]&gt;max){
            max=arguments[i];
        }
    }
    return max;
}

var l=max(1,2,3);
alert(l)</pre>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<p> </p>
<p><strong>4.JavaScript中，函数不仅作为一种语法，可以定义可以调用。也是值。</strong></p>
<p>下面来看一个函数定义：</p>
<pre>function squ(x){
    return x*x;
}</pre>
<p> </p>
<p>理解：这个定义创建一个新的函数对象，并将其赋值给变量squ。</p>
<p>函数的名字实际上是看不见的，它(squ)仅仅是变量的名字，这个边变量指代函数对象。函数还可以赋值给其他的变量，并且仍可以正常工作。</p>
<p> </p>
<pre>var s=squ;    //这里的s与squ指代同一个函数
squ(4);    //16
s(4);    //16</pre>
<p> </p>
<p>同样可以将函数赋值给对象的属性。</p>
<p> </p>
<pre>var o={
    squ:function(x){
        return x*x;
    }
}
var y=o.squ(4);    //16</pre>
<p> </p>
<p>之前在<a href="http://www.cnblogs.com/zqzjs/p/4796242.html" rel="external nofollow noreferrer">JavaScript权威设计--JavaScript类型,值,变量(简要学习笔记四)</a>最后中说的这个例子就是这样：</p>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<pre>var a=1;
function b(){
  a=2;
  return;
  function a(){}
}
//调用
b();
console.log(a)    //a=1</pre>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<p>正如上面所说函数也是值！function a(){}这函数的名字并不是a,实际上这个函数的名字是看不见的。a仅仅只是变量的名字！指代后面的函数对象。同样你可以给a赋其他值，</p>
<p>a=3等等。当然了这是理解a=1的一个要点，另外一个要点是JavaScript的编译与执行。</p>
<p>JavaScript函数的执行分为编译与执行。先编译后执行。</p>
<p>这里调用b()属于后面的执行期。执行的时候遇到函数内部的a变量。这个a也就是指代function a(){}。编译时，编译到a=2时候，a是全局变量，这时候a=2.继续往下编译，编译至function a(){}时，a称为局部变量a，a=1。大家不要被这里的return吓着，认为下面不会编译，立即返回。这里的return其实只是在执行的时候才会返回。跟编译没有关系。编译的时候已经挂在了作用域链上了。这时在函数内部执行，这里的a。其实上面的函数也即等效于：</p>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<pre>var a=1;
function b(){
  var a=2;

}
//调用
b();
console.log(a)    //a=1</pre>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<p>也等效于：</p>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<pre>var a=1;
function b(){
     //a=2;
     //return;
     var a=function (){}
      a=2;
}
        //调用
b();
alert(a)</pre>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<p>转载：http://www.cnblogs.com/zqzjs/p/4820486.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 04:52:31</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>JavaScript权威设计--JavaScript函数(简要学习笔记十一)的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRD443z.html" rel="bookmark">JavaScript权威设计--事件处理介绍&lpar;简要学习笔记十七&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.事件相关概念 事件类型:一个用来说明发生什么类型事件的字符串 事件目标:是发生的事件或与之相关的对象. 事件处理程序(事件监听程序):是处理货响应事件的函数. 事件对象:是与特定事件相关并且包含有关该事件详细信息的对象. 事件传播:是浏览器决定哪个对象触发其事件处理程序的过程. 事件捕获:在容器元素上注册的特定处理程序有机会再事件传播打破真实目标之前拦截它. 阻止标签默认事件的发生   2.Window事件 focus,blur不冒泡.focusin,focusout冒泡. load当文档和			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqA6yeM.html" rel="bookmark">JavaScript权威设计--Window对象&lpar;简要学习笔记十三&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Window对象是所有客户端JavaScript特性和API的主要接入点. Window对象中的一个重要属性是document,它引用Document对象. JavaScript程序可以通过Document对象和它包含的Element对象遍历和管理文档.   2.URL中的JavaScript 在URL后面跟一个JavaScript:协议限定符.里面的代码会作为JavaScript代码进行运行,需用分号分割. 如: &lt;a href=&quot;javascript:alert('OK!')&qu			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB1oo4z.html" rel="bookmark">JavaScript权威设计--JavaScript函数&lpar;简要学习笔记十&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.函数命名规范 函数命名通常以动词为前缀的词组.通常第一个字符小写.当包含多个单词时,一种约定是将单词以下划线分割,就像&quot;like_Zqz()&quot;. 还有一种就是&quot;likeZqz()&quot;.有些些函数是用作内部用的或者为私有函数通常以一条下划线为前缀,就像&quot;_zqzName()&quot;.   2.以表达式方式定义的函数 如: var zqz=function (){ return &quot;zhaoqize&quot;; } 在使用的时候必须把它赋值给一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7ZGGdp.html" rel="bookmark">JavaScript权威设计--JavaScript数组&lpar;简要学习笔记九&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.数组的创建 如: var a=[1.1,null,&quot;a&quot;]; var b=[1, ,3]; //中间的那个元素是undefined var c=[ , , ] 这里c.length你是不是以为是3? 哈哈,长度应该是2.因为数组直接量的语法允许有可选的结尾逗号.   2.数组索引的其他种类 a[-1.23]=true    //创建一个名为-1.23的属性 a[&quot;1000&quot;]=0    //如果是字符串,它就转换为数组的索引 a[1.000]    //和a[1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2Rrr3b.html" rel="bookmark">JavaScript权威设计--JavaScript对象&lpar;简要学习笔记七&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.with语句 语法: width(object){ statement } with语句可用于临时扩展作用域链.作用域链可以按序检索的对象列表,通过它可以进行变量名解析. with将object添加到作用域链的头部,然后执行内部statement,最后把作用域链回复到原始状态.   但是:with语句要尽量避免使用.有with代码的语句难以优化,且运行的更慢. 在对象嵌套跟多层次的时候通常会使用with来优化. 如: document.forms[0].address.value //-&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyKn48z.html" rel="bookmark">JavaScript权威设计--JavaScript表达式与运算符&comma;语句&lpar;简要学习笔记六&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.delete是一元操作符,用来删除对象属性或者元素. var a={ x:1, y:2 } delete a.x; //删除x属性 &quot;x&quot;in a //false:a对象中已经不存在x属性 alert(a.x) //undefined;这里还是存在&quot;东西&quot;的 就如: var b=[1,2,3]; delete b[0]; b.length //3:还是3,虽然上面已经删除了b[0]   2.void运算符 void忽略操作的值,因此在操作数具有辅助作用的时候使用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJAZo4p.html" rel="bookmark">JavaScript权威设计--JavaScript脚本化文档Document与CSS&lpar;简要学习笔记十五&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.Document与Element和TEXT是Node的子类. Document:树形的根部节点 Element:HTML元素的节点 TEXT:文本节点   &gt;&gt;HtmlElement与HtmlDocument a:HtmlElement对象表示HTML中的一个个元素. b:HtmlDocument对象表示 HTML 文档树的根.HTMLDocument 接口对 DOM Document 接口进行了扩展,定义 HTML 专用的属性和方法.   &gt;&gt;HTML的DOM对象 a:DOM			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0RllDz.html" rel="bookmark">JavaScript权威设计--JavaScript类型&comma;值&comma;变量&lpar;简要学习笔记三&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.负号是一元求反运算 如果直接给数字直接量前面添加负号可以得到他们的负值     2.JavaScript中的运算超出了最大能表示的值不会报错,会显示Infinity. 超出最小也不报错,会显示-Infinity. 运算出的结果如果是个非数字的值得时候,用NaN表示.   3.字符串直接量拆分成数行 ECMAScript3中,字符串直接量必须下载一行中,而在ECMScript中,字符串直接量可以拆分成数行,每行必须以反斜线(\)介绍. 如:&quot;two\lines&quot;       &quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pX0vlyp.html" rel="bookmark">JavaScript权威设计--JavaScript表达式与运算符&lpar;简要学习笔记五&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.3种原始表达式     1.直接量:    1.23    //数字直接量                         &quot;hello&quot;    //字符串直接量                         ...     2.保留字构成的原始表达式:         true    //返回布尔值:真         false    //假         null    //返回一个值:空     3.变量:         i    //返回变量i的值        			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3VPkz.html" rel="bookmark" class="title">十大WordPress MU管理员插件</a>
					<div>
						Wordpress MU是Wordpress的多用户版本,因为程序结构的关系,Wordpress MU并不一定能兼容Wordpress的插件.WordPress MU有全局的插件和针对单个站点的插件, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3yNkp.html" rel="bookmark" class="title">面向对象的JavaScript编程及其 Scope 处理</a>
					<div>
						本文首先对 JavaScript 的机制进行讲解,并结合当前流行的开源 JavaScript 框架讲解如何在 JavaScript 中实现面向对象和继承机制:之后本文将对面向对象 JavaScript ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkWJEp.html" rel="bookmark" class="title">英文的服务器不支持中文及中文数据库的最新解决办法 &lbrack;转帖</a>
					<div>
						服务器|解决|数据|数据库|中文 英文的服务器不支持中文及中文数据库的解决办法 方法一: 在翻阅了微软NGWS文档后发现在文档的常见问题部分有提到要添加一个config.web文件到 web目录下,试 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boB9Ez.html" rel="bookmark" class="title">SQL SERVER中直接循环写入数据</a>
					<div>
						server|数据|循环 declare @i intset @i=1while @i&lt;30begin   insert into test (userid) values(@i)   set  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1R2mKp.html" rel="bookmark" class="title">在Win 2003配置DNS的Internet访问</a>
					<div>
						本文分步说明如何在Windows Server 2003 产品中为域名系统 (DNS) 配置Internet 访问.DNS是Internet上使用的核心名称解析工具.负责主机名称和Internet 地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1K2ez.html" rel="bookmark" class="title">实现C语言高效编程的四大秘技</a>
					<div>
						引言: 编写高效简洁的C语言代码,是许多软件工程师追求的目标.本文就工作中的一些体会和经验做相关的阐述,不对的地方请各位指教. 第1招:以空间换时间 计算机程序中最大的矛盾是空间和时间的矛盾,那么,从 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2mYab.html" rel="bookmark" class="title">网页中插入透明Flash的方法</a>
					<div>
						将Flash作品插入网页的时候,我们有时候会需要将它设为透明,有时候我们需要在Flash的背面插入一些漂亮的图片,搭配出漂亮的效果--下面我们介绍一些将Flash插入网页中的一些透明的设置技巧. 一. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwl0kmb.html" rel="bookmark" class="title">在PPT中插入Flash动画的4种方法</a>
					<div>
						现在很多学科经常要做一些研究性学习或者调查报告,使用Powerpoint是个不错的主意. 而很多时候,我们需要添加一些flash动画来使我们的幻灯片更加生动.美观和具有说服力.但是Powerpoint ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6NgEz.html" rel="bookmark" class="title">Excel2010怎么合并单元格？</a>
					<div>
						  Excel2010怎么合并单元格?         现在,很多实用Excel的用户都在问,Excel怎么合并单元格?excel2010怎么合并单元格?其实,这很简单,今天,小编就为大家带来Exce ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4BjVp.html" rel="bookmark" class="title">Linux 生成随机密码&sol;修改密码</a>
					<div>
						  Linux生成随机密码方式: strings /dev/urandom | grep -o '[[:alnum:]]' | head -n 30 | tr -d 'n'; echo Linux修改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3D6xp.html" rel="bookmark" class="title">解决苹果刷机时1601错误1013错误等的方法</a>
					<div>
						我们在刷机的时候我们会遇到各式各样的错误,如:3194错误.1031错误.160X错误等等,这些错误时常让我们很烦恼.今天三联教程给大家分享下如何解决这些问题,相信大家看完之后,遇到同样的问题都会解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjm1WWz.html" rel="bookmark" class="title">Windows系统局域网共享打印机出现异常解决办法</a>
					<div>
						电脑连接共享打印机,出现提示&quot;操作无法完成.键入的打印机名不正确,或者指定的打印机没有连接到服务器上.有关详细信息,请单帮助&quot;,这是什么原因造成的,应该怎么解决呢. 电脑网卡的IP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3X91M.html" rel="bookmark" class="title">宽带连接密码忘记了怎么办</a>
					<div>
						  1.点击电脑右下角长得像显示器的图标,在弹出的菜单中点击右侧的猫状图标后再点击&quot;连接&quot;,这时就会弹出&quot;宽带连接&quot;的窗口. 2.下载&quot;星号密码查看器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3o4eJb.html" rel="bookmark" class="title">专有网络（VPC）使用最佳实践</a>
					<div>
						专有网络VPC(Virtual Private Cloud)是用户基于阿里云创建的自定义私有网络, 不同的专有网络之间二层逻辑隔离,用户可以在自己创建的专有网络内创建和管理云产品实例,比如ECS.负载 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkPg6b.html" rel="bookmark" class="title">现在招&period;net的公司好像越来越少了</a>
					<div>
						问题描述 现在招.net的公司好像越来越少了,每天网站上就是那几个职位,郁闷....物价涨的这么厉害,好像很多公司出的薪水还是那么低.. 解决方案 解决方案二:.....解决方案三:还是看自己会多少东 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myde0kb.html" rel="bookmark" class="title">easyui-关于数据导入到easyUI界面中</a>
					<div>
						问题描述 关于数据导入到easyUI界面中 如何将word 或是excel表格中的数据导入到easyUI界面的表格中去 解决方案 自己用动态页解析word或者读取excel表格中的数据生成easyUI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDJDdz.html" rel="bookmark" class="title">六种方法教会你网页代码的优化</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 随着百度等搜索引擎对网站用户体验度 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydRZ5b.html" rel="bookmark" class="title">在中国企业家俱乐部理事互访TCL站道农沙龙上的演讲</a>
					<div>
						中国企业家俱乐部注:本篇是马化腾2013年11月8日在中国企业家俱乐部理事互访TCL站&quot;道农沙龙&quot;上的演讲.马化腾表示,移动互联网时代的运行规则与PC互联网时代完全不同, 腾讯 如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgdq5M.html" rel="bookmark" class="title">Vodafone新西兰在数据中心之间部署400Gbps</a>
					<div>
						Vodafone新西兰公司表示,他已经开启了第一个400-Gbps波长的部署.该项目在Ciena Corp.(NYSE:CIEN)的技术支持下部署,在EXFO公司(NASDAQ:EXFO)(TSX:E ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRXeZp.html" rel="bookmark" class="title">vs2008 menu控件子菜单显示不出来</a>
					<div>
						问题描述 vs2008 menu控件子菜单显示不出来 前台代码: Font-Names=&quot;宋体&quot; Font-Size=&quot;9pt&quot; ForeColor=&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEK2mJp.html" rel="bookmark" class="title">2013诺贝尔生理学与医学奖正式揭晓</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;       2013诺贝尔生理学与医学奖正式公布,2116 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQBWmp.html" rel="bookmark" class="title">6大网站地图生成器对比</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 网站地图sitemap生成的方法有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEyaEz.html" rel="bookmark" class="title">JpGraph php柱状图使用介绍&lowbar;php基础</a>
					<div>
						JpGraph简介 以前用PHP作图时必须要掌握复杂抽象的画图函数,或者借助一些网上下载的花柱形图.饼形图的类来实现.没有一个统一的chart类来实现图表的快速开发. 现在我们有了一个新的选择:JpG ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR19jdb.html" rel="bookmark" class="title">简介C&sol;C&plus;&plus;预处理器的一些工作&lowbar;C 语言</a>
					<div>
						多么令人愉快的一个问题啊 就在被带到编译器那里之前,预处理器都会对你的源代码瞧上一瞧, 做一些格式化的工作,并执行任何你在源代码里面留给它来执行的指令. 像什么? 好吧,预处理器的指令就被叫做预处理器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmPj6z.html" rel="bookmark" class="title">ES6中的数组扩展方法&lowbar;javascript技巧</a>
					<div>
						form 转化为真正的数组 先说一下使用场景,在Js中,我们要经常操作DOM,比如获取全部页面的input标签,并且找到类型为button的元素,然后给这个按钮注册一个点击事件,我们可能会这样操作:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlmjknp.html" rel="bookmark" class="title">asp&period;net中virtual和abstract的区别分析&lowbar;实用技巧</a>
					<div>
						本文实例分析了asp.net中virtual和abstract的区别,分享给大家供大家参考.具体分析如下: 一.Virtual方法(虚方法) virtual 关键字用于在基类中修饰方法.virtual ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBk51dM.html" rel="bookmark" class="title">无法将类型为&OpenCurlyDoubleQuote;System&period;Web&period;UI&period;WebControls&period;HiddenField&rdquo;的对象强制转换为类型的错误的解决&lowbar;实用技巧</a>
					<div>
						本文章将解决: 1.解释什么是System.Web.UI.LiteralControl 2.为什么会经常发生法将类型为&quot;System.Web.UI.WebControls.HiddenFie ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZdXrb.html" rel="bookmark" class="title">详解JavaScript基本类型和引用类型&lowbar;javascript技巧</a>
					<div>
						一.值的类型        早在介绍JS的数据类型的时候就提到过基本类型和引用类型,不过在说两种类型之前,我们先来了解一下变量的值的类型.在ECMAScript中,变量可以存在两种类型的值,即原始值和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKVKRz.html" rel="bookmark" class="title">连接数据库失败，请帮忙看看哪里出错？</a>
					<div>
						问题描述 连接数据库失败,导致finally块出现为空情况,但看不出来哪里出现了问题publicclassLoginHome{publicLoginHome(){}/***用户登录检查操作**@par ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1E2ob.html" rel="bookmark" class="title">&period;net中listview控件增加数据行问题</a>
					<div>
						问题描述 .net中listview控件增加数据行问题 图片上的我是用.net 的listview做的. 请问:当我点击新增二级指标的时候在当前行的下面增加一个二级指标的输入行该怎么做. 或者能不能让 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
